Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.util
Class ObservableObjectIteratorImpl

    java.lang.Object
      com.sun.management.oss.impl.pm.util.ObjectIterator
          com.sun.management.oss.impl.pm.util.ObservableObjectIteratorImpl

All Implemented Interfaces:
  ObservableObjectIterator, java.io.Serializable

public class ObservableObjectIteratorImpl
extends ObjectIterator
implements ObservableObjectIterator

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`ObservableObjectIteratorImpl(javax.management.ObjectName[] observableObjects)`

Method Summary
`javax.management.ObjectName[]` | `getNext(int how_many)` Returns a list of observable object distinguished names.

Methods inherited from class com.sun.management.oss.impl.pm.util.ObjectIterator
`getNextValue, remove`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.pm.util.ObservableObjectIterator
`remove`

Constructor Detail

### ObservableObjectIteratorImpl

    public ObservableObjectIteratorImpl(javax.management.ObjectName[] observableObjects)

Method Detail

### getNext

    public javax.management.ObjectName[] getNext(int how_many)

  Description copied from interface: `ObservableObjectIterator`
  Returns a list of observable object distinguished names.

  The function takes one argument that specifies the most number of items to return. The implementation can decide to return less or the requested number of items.

  If zero is specified and empty list is returned.

  If the iteration is empty or has reached then end, empty list is returned.

  If the argument is greater than the number of item in the iterator then all or implementation decided number of items are returned.

  If the agreement plus the cursor of the iterator is greater than the number of item in the iterator, all or implementation decided number of items from the cursor to the end is returned.

  Specified by:
    `getNext` in interface `ObservableObjectIterator`
  Parameters:
    `how_many` - Maximum of items to return, the implementation can decide to return less.
  Returns:
    String[] List of observable object distinguished names.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD